<div class="p-6 space-y-4">
@if ($showCreateModal)
        <x-wireui:modal-card title="{{ $artistId ? '編輯歌手' : '新增歌手' }}" blur wire:model.defer="showCreateModal">
            <div class="space-y-4">
                <x-wireui:select
                    label="類別"
                    wire:model.defer="selectedCategory"
                    placeholder="選擇類別"
                    option-label="label"
                    option-value="value"
                    :options="$artistCategory->map(fn($p) => ['value' => $p->id, 'label' => $p->name])->toArray()"
                />
                <x-wireui:input label="名稱" wire:model.defer="name" />
            </div>

            <x-slot name="footer">
                <div class="flex justify-center gap-2">
                    <x-wireui:button primary label="{{__('artists.cancel')}}" x-on:click="$dispatch('close')" />
                    <x-wireui:button primary label="{{__('artists.submit')}}" wire:click="save" />
                </div>
            </x-slot>
        </x-wireui:modal-card>
    @endif
</div>